Select Graph
post
/v1/graphs/{graph_id}/selectPart of Graphs.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph Id |
Example request
curl
curl -X POST "https://api.robosystems.ai/v1/graphs/{graph_id}/select" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
successoptional | boolean | Indicates the operation completed successfully Default: |
messagerequired | string | Human-readable success message |
dataoptional | object | Optional additional data related to the operation |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |